Weibull {eha} | R Documentation

## The (Cumulative) Hazard Function of a Weibull Distribution

### Description

`hweibull` calculates the hazard function of a Weibull distribution, and `Hweibull` calculates the corresponding cumulative hazard function.

### Usage

    hweibull(x, shape, scale = 1, log = FALSE)

### Arguments

`x` | Vector of quantiles.
`shape` | The shape parameter.
`scale` | The scale parameter, defaults to 1.
`log` | logical; if TRUE, the log of the hazard function is given.

### Details

See dweibull.

### Value

The (cumulative) hazard function, evaluated at x.

### Author(s)

Göran Broström

### See Also

`pweibull`

### Examples

    hweibull(3, 2, 1)
    dweibull(3, 2, 1) / pweibull(3, 2, 1, lower.tail = FALSE)
    Hweibull(3, 2, 1)
    -pweibull(3, 2, 1, log.p = TRUE, lower.tail = FALSE)

[Package eha version 2.6.0 Index]